Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynch
Class AsynchProxyMixin

    java.lang.Object
      org.jboss.aspects.asynch.AsynchProxyMixin

All Implemented Interfaces:
  AsynchProvider, Externalizable, Serializable

public class AsynchProxyMixin
extends Object
implements AsynchProvider, Externalizable

Comment

Version:
  $Revision: 1.2.8.5 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`static String` | `CURRENT_FUTURE`

Constructor Summary
`AsynchProxyMixin()`

Method Summary
`Future` | `getFuture()`
`void` | `readExternal(ObjectInput in)`
`void` | `setAdvisor(org.jboss.aop.InstanceAdvisor advisor)`
`void` | `setFuture(Future future)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_FUTURE

    public static final String CURRENT_FUTURE

See Also:
  Constant Field Values

Constructor Detail

### AsynchProxyMixin

    public AsynchProxyMixin()

Method Detail

### setAdvisor

    public void setAdvisor(org.jboss.aop.InstanceAdvisor advisor)

### setFuture

    public void setFuture(Future future)

### getFuture

    public Future getFuture()

  Specified by:
    `getFuture` in interface `AsynchProvider`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.